Documents
Get Hris Document View Url
Downloads the caller's signed DocuSign envelope PDF, stores a copy in S3, and returns a signed view URL.
POSThttps://api.toku.com/hris/get-hris-document-view-url
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/get-hris-document-view-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"templateInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"viewUrl": "string",
"fileName": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
templateInstanceIdstring<uuid>requiredResponse
200Successful response
viewUrlstringrequiredfileNamestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits